Bug 1806726 - lilypond packages runtime files for wrong vim version
Summary: lilypond packages runtime files for wrong vim version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lilypond
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 20:41 UTC by Lukas Werling
Modified: 2020-03-04 21:31 UTC (History)
2 users (show)

Fixed In Version: lilypond-2.19.84-2.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-04 21:31:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Werling 2020-02-24 20:41:54 UTC
Description of problem:
The lilypond package packages vim runtime files for vim version 8.1, but Fedora 31 (and higher) packages Vim version 8.2, so the files are not picked up.

Version-Release number of selected component (if applicable): lilypond-2.19.83-3.fc31 


How reproducible: always


Steps to Reproduce:
1. Install lilypond and vim
2. Open lilypond file in vim, e.g. `vim /usr/share/lilypond/2.19.83/ly/init.ly`

Actual results:
No syntax highlighting - Vim 8.2 does not pick up the files in /usr/share/vim/vim81

Expected results:
File should have syntax highlighting - the lilypond package should ship the vim runtime files in /usr/share/vim/vim82


Additional info:

Comment 1 Fedora Update System 2020-02-26 17:59:26 UTC
lilypond-2.19.84-2.fc31, lilypond-doc-2.19.84-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4900723066

Comment 2 Fedora Update System 2020-03-04 21:31:02 UTC
lilypond-2.19.84-2.fc31, lilypond-doc-2.19.84-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.